org.jgroups

## Interface Receiver

All Superinterfaces:
  MembershipListener, MessageListener

All Known Subinterfaces:
  ExtendedReceiver

All Known Implementing Classes:
  Draw, ExtendedReceiverAdapter, MyReceiver, NotificationBus, ReceiverAdapter, RELAY.Receiver, RelayDemoRpc, ReplicatedHashMap, ReplicatedTree, ViewDemo

    public interface Receiver
    extends MessageListener, MembershipListener

Defines the callbacks that are invoked when messages, views etc are received on a channel

Author:
  Bela Ban

### Method Summary

### Methods inherited from interface org.jgroups.MessageListener

`getState, receive, setState`

### Methods inherited from interface org.jgroups.MembershipListener

`block, suspect, viewAccepted`